Bug 1468833 - Trackpad cursor not usable after suspend
Trackpad cursor not usable after suspend
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 1471169 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-08 10:46 EDT by Paul Finnigan
Modified: 2017-08-19 04:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Finnigan 2017-07-08 10:46:31 EDT
Description of problem:


Version-Release number of selected component (if applicable):

gnome-power-manager.x86_64            3.24.0-1.fc26
kernel.x86_64                         4.11.9-300.fc26


How reproducible:

All the time

Steps to Reproduce:
1. Suspend machine (close laptop lid)
2. Wake machine (open lid and type)

Actual results:

trackpad does nothing

Expected results:

trackpad to move pointer

Additional info:

This looks like it could be a regression of bug 1443500
Comment 1 Paul Finnigan 2017-07-10 13:54:39 EDT
Additional information:

Fist I forgot my hardware information:

Laptop is a Lenovo Yoga 3 Pro

Sorry about that.

Also I have found a work round:

Press the power button briefly to repeat the suspend and when you then type to wake the machine the trackpad works.
Comment 2 Eric Kerby 2017-08-07 00:59:42 EDT
I can confirm this is also an issue on my Lenovo Yoga 710 (11in model) after upgrading from Fedora 25 to 26. I can also confirm the loss of trackpad occurs when closing the lid, but suspending via the power button does not cause the problem and does in fact recover the trackpad functionality if it was lost by a lid close.
Comment 3 Ivan Makfinsky 2017-08-07 14:39:36 EDT
*** Bug 1471169 has been marked as a duplicate of this bug. ***
Comment 4 Paul Finnigan 2017-08-19 04:42:05 EDT
I don't know what but something has fixed this over the last few days. Everything works from suspend on my system now. Sorry but I only noticed I did not have the problem last night. 

I am not sure what has fixed it, I do try to update on a regular basis.

From dnf.log:

2017-08-14T07:36:30Z INFO 
Upgraded:
  autocorr-en.noarch 1:5.3.5.2-2.fc26                bash.x86_64 4.4.12-7.fc26                        boost-date-time.x86_64 1.63.0-6.fc26                    boost-filesystem.x86_64 1.63.0-6.fc26                
  boost-iostreams.x86_64 1.63.0-6.fc26               boost-random.x86_64 1.63.0-6.fc26                boost-system.x86_64 1.63.0-6.fc26                       boost-thread.x86_64 1.63.0-6.fc26                    
  curl.x86_64 7.53.1-10.fc26                         evolution.x86_64 3.24.5-1.fc26                   evolution-data-server.x86_64 3.24.5-1.fc26              evolution-ews.x86_64 3.24.5-1.fc26                   
  evolution-help.noarch 3.24.5-1.fc26                flatpak.x86_64 0.9.7-2.fc26                      flatpak-libs.x86_64 0.9.7-2.fc26                        git.x86_64 2.13.5-1.fc26                             
  git-core.x86_64 2.13.5-1.fc26                      git-core-doc.x86_64 2.13.5-1.fc26                glusterfs.x86_64 3.10.5-1.fc26                          glusterfs-api.x86_64 3.10.5-1.fc26                   
  glusterfs-cli.x86_64 3.10.5-1.fc26                 glusterfs-client-xlators.x86_64 3.10.5-1.fc26    glusterfs-fuse.x86_64 3.10.5-1.fc26                     glusterfs-libs.x86_64 3.10.5-1.fc26                  
  libcurl.x86_64 7.53.1-10.fc26                      libgxps.x86_64 0.3.0-1.fc26                      libreoffice.x86_64 1:5.3.5.2-2.fc26                     libreoffice-base.x86_64 1:5.3.5.2-2.fc26             
  libreoffice-calc.x86_64 1:5.3.5.2-2.fc26           libreoffice-core.x86_64 1:5.3.5.2-2.fc26         libreoffice-data.noarch 1:5.3.5.2-2.fc26                libreoffice-draw.x86_64 1:5.3.5.2-2.fc26             
  libreoffice-emailmerge.x86_64 1:5.3.5.2-2.fc26     libreoffice-filters.x86_64 1:5.3.5.2-2.fc26      libreoffice-graphicfilter.x86_64 1:5.3.5.2-2.fc26       libreoffice-gtk2.x86_64 1:5.3.5.2-2.fc26             
  libreoffice-gtk3.x86_64 1:5.3.5.2-2.fc26           libreoffice-help-uk.x86_64 1:5.3.5.2-2.fc26      libreoffice-impress.x86_64 1:5.3.5.2-2.fc26             libreoffice-langpack-en.x86_64 1:5.3.5.2-2.fc26      
  libreoffice-langpack-uk.x86_64 1:5.3.5.2-2.fc26    libreoffice-math.x86_64 1:5.3.5.2-2.fc26         libreoffice-opensymbol-fonts.noarch 1:5.3.5.2-2.fc26    libreoffice-pdfimport.x86_64 1:5.3.5.2-2.fc26        
  libreoffice-pyuno.x86_64 1:5.3.5.2-2.fc26          libreoffice-ure.x86_64 1:5.3.5.2-2.fc26          libreoffice-ure-common.noarch 1:5.3.5.2-2.fc26          libreoffice-wiki-publisher.x86_64 1:5.3.5.2-2.fc26   
  libreoffice-writer.x86_64 1:5.3.5.2-2.fc26         libreoffice-x11.x86_64 1:5.3.5.2-2.fc26          libreoffice-xsltfilter.x86_64 1:5.3.5.2-2.fc26          libreofficekit.x86_64 1:5.3.5.2-2.fc26               
  libsmbclient.x86_64 2:4.6.7-0.fc26                 libsoup.x86_64 2.58.2-1.fc26                     libwbclient.x86_64 2:4.6.7-0.fc26                       open-vm-tools.x86_64 10.1.10-1.fc26                  
  open-vm-tools-desktop.x86_64 10.1.10-1.fc26        openjpeg2.x86_64 2.2.0-1.fc26                    perl-Git.noarch 2.13.5-1.fc26                           samba.x86_64 2:4.6.7-0.fc26                          
  samba-client.x86_64 2:4.6.7-0.fc26                 samba-client-libs.x86_64 2:4.6.7-0.fc26          samba-common.noarch 2:4.6.7-0.fc26                      samba-common-libs.x86_64 2:4.6.7-0.fc26              
  samba-common-tools.x86_64 2:4.6.7-0.fc26           samba-libs.x86_64 2:4.6.7-0.fc26                 samba-winbind.x86_64 2:4.6.7-0.fc26                     samba-winbind-modules.x86_64 2:4.6.7-0.fc26          
  sqlite.x86_64 3.20.0-1.fc26                        sqlite-libs.i686 3.20.0-1.fc26                   sqlite-libs.x86_64 3.20.0-1.fc26                        vim-X11.x86_64 2:8.0.885-1.fc26                      
  vim-common.x86_64 2:8.0.885-1.fc26                 vim-filesystem.x86_64 2:8.0.885-1.fc26           vim-minimal.x86_64 2:8.0.885-1.fc26   

...

2017-08-15T03:41:28Z INFO 
Removed:
  kernel.x86_64 4.11.9-300.fc26                       kernel-core.x86_64 4.11.9-300.fc26                                 kernel-devel.x86_64 4.11.9-300.fc26         kernel-modules.x86_64 4.11.9-300.fc26        
  kernel-modules-extra.x86_64 4.11.9-300.fc26         kmod-wl-4.11.9-300.fc26.x86_64.x86_64 6.30.223.271-11.fc26        

Installed:
  kernel.x86_64 4.12.5-300.fc26      kernel-core.x86_64 4.12.5-300.fc26      kernel-devel.x86_64 4.12.5-300.fc26      kernel-modules.x86_64 4.12.5-300.fc26      kernel-modules-extra.x86_64 4.12.5-300.fc26     

Upgraded:
  babl.x86_64 0.1.28-1.fc26                             dracut.x86_64 046-2.git20170811.fc26           dracut-config-rescue.x86_64 046-2.git20170811.fc26          dracut-live.x86_64 046-2.git20170811.fc26         
  dracut-network.x86_64 046-2.git20170811.fc26          firefox.x86_64 55.0.1-1.fc26                   gdk-pixbuf2.x86_64 2.36.8-1.fc26                            gdk-pixbuf2-devel.x86_64 2.36.8-1.fc26            
  gdk-pixbuf2-modules.x86_64 2.36.8-1.fc26              kernel-headers.x86_64 4.12.5-300.fc26          kernel-tools.x86_64 4.12.5-300.fc26                         kernel-tools-libs.x86_64 4.12.5-300.fc26          
  krb5-libs.i686 1.15.1-21.fc26                         krb5-libs.x86_64 1.15.1-21.fc26                osinfo-db.noarch 20170813-1.fc26                            postgresql-libs.x86_64 9.6.4-1.fc26               
  shotwell.x86_64 0.26.3-1.fc26                         subversion.x86_64 1.9.7-1.fc26                 subversion-libs.x86_64 1.9.7-1.fc26    

...


2017-08-15T04:05:22Z INFO 
Installed:
  kmod-wl-4.12.5-300.fc26.x86_64.x86_64 6.30.223.271-13.fc26

...


2017-08-16T20:07:16Z INFO 
Installed:
  perl-Devel-CallChecker.x86_64 0.007-6.fc26                                                              perl-DynaLoader-Functions.noarch 0.003-1.fc26                                                             

Upgraded:
  cups-filters.x86_64 1.13.4-3.fc26                   cups-filters-libs.x86_64 1.13.4-3.fc26          gnupg2.x86_64 2.1.22-1.fc26                           gnupg2-smime.x86_64 2.1.22-1.fc26                       
  google-chrome-stable.x86_64 60.0.3112.101-1         nodejs.x86_64 1:6.11.2-1.fc26                   npm.x86_64 1:3.10.10-1.6.11.2.1.fc26                  nvidia-driver-cuda-libs.x86_64 2:384.59-4.fc26          
  pango.i686 1.40.9-1.fc26                            pango.x86_64 1.40.9-1.fc26                      pango-devel.x86_64 1.40.9-1.fc26                      perl-Params-Classify.x86_64 0.015-1.fc26                
  qpdf-libs.x86_64 6.0.0-8.fc26                       selinux-policy.noarch 3.13.1-260.4.fc26         selinux-policy-devel.noarch 3.13.1-260.4.fc26         selinux-policy-targeted.noarch 3.13.1-260.4.fc26

...


2017-08-17T17:26:04Z INFO 
Upgraded:
  code.x86_64 1.15.1-1502904099.el7 

...

2017-08-18T18:49:48Z INFO 
Upgraded:
  file.x86_64 5.30-9.fc26          file-libs.x86_64 5.30-9.fc26           gdk-pixbuf2.x86_64 2.36.8-2.fc26          gdk-pixbuf2-devel.x86_64 2.36.8-2.fc26        gdk-pixbuf2-modules.x86_64 2.36.8-2.fc26       
  tree.x86_64 1.7.0-11.fc26        vim-X11.x86_64 2:8.0.946-1.fc26        vim-common.x86_64 2:8.0.946-1.fc26        vim-filesystem.x86_64 2:8.0.946-1.fc26        vim-minimal.x86_64 2:8.0.946-1.fc26 


The fix is most likley in the last couple of days but I was that use to the problem that the work round has become second nature.

Note You need to log in before you can comment on or make changes to this bug.